- Qt 6.10
- Qt QML Compiler
- C++ Classes
- QtQmlCompiler (Technical Preview)
- LintPlugin
- Qt 6.10.2 Reference Documentation

# QQmlSA::LintPlugin Class

class QQmlSA::LintPlugin

Base class for all static analysis plugins. More...

Header: | `#include <LintPlugin>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS QmlCompiler)` `target_link_libraries(mytarget PRIVATE Qt6::QmlCompiler)`
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

| LintPlugin()
virtual | ~LintPlugin()
virtual void | registerPasses(QQmlSA::PassManager *manager, const QQmlSA::Element &rootElement) = 0

## Detailed Description

## Member Function Documentation

### `[constexpr noexcept]` LintPlugin::LintPlugin()

Constructs a LintPlugin object.

### `[virtual constexpr noexcept]` LintPlugin::~LintPlugin()

Destroys the LintPlugin instance.

### `[pure virtual]` void LintPlugin::registerPasses(QQmlSA::PassManager *manager, const QQmlSA::Element &rootElement)

Adds a pass manager that will be executed on rootElement.